Get Portfolio Item Monitoring Policy
curl --request GET \
--url https://api.baselayer.com/portfolio/items/{item_id}/monitoring_policy \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/portfolio/items/{item_id}/monitoring_policy"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/portfolio/items/{item_id}/monitoring_policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cadence": "daily",
"lien_monitoring_scope": "domestic",
"enabled": true,
"attributes": [],
"last_run_at": "2023-11-07T05:31:56Z",
"next_run_on": "2023-12-25",
"inherited_from": "portfolio"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Item
Get Portfolio Item Monitoring Policy
Get the monitoring policy for a portfolio item.
GET
/
portfolio
/
items
/
{item_id}
/
monitoring_policy
Get Portfolio Item Monitoring Policy
Authorizations
Path Parameters
Response
Response
Represents a monitoring policy response.
This representation is designed for use in the singleton resource API representations.
Note that id, group_id, and item_id are not included in this representation.
This is to avoid confusion when API resource inheritance is in effect.
The monitoring cadence (e.g., 'daily', 'weekly', 'monthly').
Available options:
daily, weekly, biweekly, monthly, quarterly, biannually, annually The scope of lien monitoring.
Available options:
domestic, registered Whether the monitoring policy is enabled.
The attributes to monitor.
The attributes that can be monitored.
Available options:
sos, liens, litigations, bankruptcies, website_analysis, pep, ofac, identity_network When the notification policy was last executed.
When the notification policy is scheduled to run next.
Indicates where this policy was inherited from (e.g., 'portfolio', 'group', or None for direct).
Available options:
portfolio, group